<?php
defined( 'ABSPATH' ) || exit;

class FDP_Backend_Urls_Page extends FDP_Custom_Rows_Page {
  public $urls;
  public $home_url;
  public $section_id;

  public function before_section( $page_slug ){
	?>
	<style id="fdp-custom-rows-css">
    .fdp-exact-filter{
      margin-left: 15px;
      margin-top: 3px;
    }
    .fdp-exact-filter-off{
      opacity:0.6
    }
    </style>
	<?php
    $this->section_id = 'eos-dp-by-url-section';
    $this->urls = eos_dp_get_option( 'eos_dp_by_admin_url' );
    if( !$this->urls || '' === $this->urls ){
  		$this->urls = array( array( 'url' => '','plugins' => '' ) );
  	}
  	else{
  		$this->urls[] = array( 'url' => '','plugins' => '' );
  	}
  	$this->home_url = get_home_url();
    ?>
    <h2><?php esc_html_e( 'Uncheck the plugins you want to disable in the backend depending on the URL','eos-dp' ); ?></h2>
		<h2><span class="dashicons dashicons-warning"></span><?php _e( 'It will work only for the BACKEND','eos-dp' ); ?></h2>
		<div class="eos-dp-explanation">
			<p><?php _e( 'Use the star "*" as replacement of groups of characters.','eos-dp' ); ?></p>
			<p><?php printf( esc_html__( 'E.g. %s/wp-admin*example/ will match URLs as %s/wp-admin/an-example/, %s/wp-admin/another-example/...','eos-dp' ),$this->home_url,$this->home_url,$this->home_url ); ?></p>
			<p><?php printf( esc_html__( 'You can use these options to disable plugins by URL query arguments. E.g. *?example-paramameter=true* will match URLS as %s/wp-admin?example-paramameter=true, %s/wp-admin/page-example/?example-paramameter=true...','eos-dp' ),$this->home_url,$this->home_url ); ?></p>
		</div>
    <?php
  }
}
