<?php
defined( 'ABSPATH' ) || exit;

class FDP_HireUs_Page extends Eos_Fdp_Plugins_Manager_Page {

  public $section_id;
  public $button_class;
  public $post_types;
  private $public_key = 'dkRkdssdfWlkljk324klj234234';
  private $info;
  private $endpoint = 'https://shop.freesoul-deactivate-plugins.com/public/hireus-info/';
  private $fixed_cost = 20;
  private $hire_us_checkout_url = 'https://fdp-shop:8890/checkout/?direct-checkout=hire-us&quantity=1';
  private $percentage_discount;
  private $server_contribution;
  private $posts_contribution;
  private $archives_contribution ;
  private $theme_contribution;
  private $plugins_contribution;
  private $personal_lifetime_price;
  private $fixed_discount;

  public function before_section( $page_slug ){
    $this->info = $this->get_info();
    $this->button_class = 'fdp-hire-us-btn';
    $this->section_id = 'eos-dp-hire-us-section';
    $this->post_types = get_post_types( array( 'public' => true ) );
    ?>
    <style id="fdp-hire-us-css">#fdp-hire-us-wrp.agreed span{display:none}</style>
    <h2><?php _e( 'Hire us','eos-dp' ); ?></h2>
		<div class="eos-dp-explanation" style="margin-bottom:48px">
			<p><?php _e( 'Hire an expert to set up Freesoul Deactivate Plugins on your website.','eos-dp' ); ?></p>
		</div>
    <?php
  }
  public function section( $page_slug ){
    $default_info = array(
      'personal_lifetime_price' => 131,
      'personal_yearly_price' => 48,
      'fixed_discount' => 0,
      'percentage_disccount' => 0
    );
    $info = wp_parse_args( $this->info, $default_info );
    $this->percentage_discount = ( ( 100 - absint( $info['percentage_discount'] ) )/100 );
    $this->server_contribution = $this->server_contribution();
    $this->posts_contribution = $this->posts_contribution();
    $this->archives_contribution = $this->archives_contribution();
    $this->theme_contribution = $this->theme_contribution();
    $this->plugins_contribution = $this->plugins_contribution();
    $this->personal_lifetime_price = absint( $info['personal_lifetime_price'] );
    $this-> fixed_discount = absint( $info['fixed_discount'] );

    $priceA = $this->calculate_price();
    $price = $priceA['manpower_price'] + $priceA['license_price'];
    $language = function_exists( 'get_user_locale' ) ? get_user_locale() : get_locale();
    $args = array(
      'add-to-cart' => absint( $this->info['hire_us_product_id'] ),
      'p' => urlencode( $this->encrypt( $this->public_key.'---'.absint( $price ) ) ),
      'u' => urlencode( $this->encrypt( $this->public_key.'---'.admin_url() ) ),
      'l' => urlencode( $this->encrypt( $this->public_key.'---'.$language ) ),
      'm' => urlencode( $this->encrypt( $this->public_key.'---'.absint( $priceA['manpower_price'] ) ) ),
    );
    $url = add_query_arg( $args,$this->hire_us_checkout_url );
    ?>
    <section id="<?php echo esc_attr( $this->section_id ); ?>" class="<?php echo esc_attr( apply_filters( 'fdp_section_class_name','eos-dp-section' ) );echo ' '.esc_attr( $this->section_common_class ); ?>" data-page_slug="<?php echo esc_attr( $page_slug ); ?>">
      <?php do_action( 'eos_dp_before_wrapper' ); ?>
      <div id="eos-dp-wrp" style="max-width:900px">
        <p><?php printf( esc_html__( 'Settings up the FDP on this website has a value of %s USD','eos-dp' ),absint( $price ) ); ?></p>
        <p><?php esc_html_e( 'The price is calculated taking into account the number of posts, archives, and plugins. And it includes a LIFETIME LICENSE for 1 domain!','eos-dp' ); ?></p>
        <p><?php esc_html_e( 'The price may change if you change something on your webstie (for instance by activating a new plugin, or adding new posts). If when we do the job the actual calculated price is not more than 10% higher, we will not charge you for any additional cost. On the contrary, if it exceed the tollerance, you will pay also the difference.','eos-dp' ); ?></p>
        <br />
        <p>
          <input id="fdp-require-agreement" type="checkbox" required onclick="var wrp=document.getElementById('fdp-hire-us-wrp');wrp.className = this.checked ? 'agreed' : 'eos-no-events';" />
          <?php printf( esc_html__( 'You agree that clicking the button below, this website will send the value of the price (%s USD) and the URL of this backend (%s) to the server of FDP, and you agree with all that is written above.','eos-pd' ),$price,admin_url() ); ?>
        </p>
        <p id="fdp-hire-us-wrp" class="eos-no-events"><a id="fdp-hire-us" class="button" href="<?php echo esc_url( $url ); ?>" target="_fdp_checkout"><?php esc_html_e( 'Hire us now','eos-dp' ); ?></a><span> <?php esc_html_e( '(You must accept the agreement)','eos-dp' ); ?></span></p>
      </div>
    </section>
    <?php
  }
  public function tableBody( $page_slug ){
    return;
  }

  public function get_nonces_map(){
    return array(
      'eos_dp_hireus' => 'eos_dp_hireus'
    );
  }

  private function calculate_price(){
    $manpower_price = (
      $this->percentage_discount  * (
          $this->server_contribution
          + $this->fixed_cost
          + $this->posts_contribution
          + $this->archives_contribution
          + $this->theme_contribution
          + $this->plugins_contribution
        )
        - $this->fixed_discount
      );
      $license_price = $this->personal_lifetime_price;
      return array( 'manpower_price' => $manpower_price,'license_price' => $license_price );
  }

  public function server_contribution(){
    $c = 0;
    $min_php_version = '7.3';
    if( function_exists( 'phpversion' ) && version_compare( phpversion(),$min_php_version, '<' ) ){
      $c += 10;
    }
    return $c;
  }

  public function posts_contribution(){
    $k_pages = 0.3;
    $k_post_types = 0.5;
		$pages = get_posts( array( 'posts_per_page' => -1,'post_type' => 'page' ) );
    return $k_pages * count( $pages ) + $k_post_types * count( $this->post_types );
  }

  public function archives_contribution(){
    $c = 0;
    $k_taxs = 0.2;
    $k_archives = 1;
    $n = 0;
    $taxs = get_taxonomies( array(),'objects' );
    $plugins_table = eos_dp_plugins_table();
    if( $taxs ){
      foreach( $taxs as $tax ){
        if( '1' == $tax -> public && isset( $tax -> object_type ) ){
          foreach( $tax -> object_type as $term_post_type ){
            if( in_array( $term_post_type,$this->post_types ) ){
              $c += $k_taxs * count( $taxs );
              ++$n;
            }
          }
        }
      }
    }
    if( $this->post_types && is_array( $this->post_types ) ){
      foreach( $this->post_types as $post_type ){
        if( get_post_type_archive_link( $post_type ) ){
          $c += $k_archives;
        }
      }
    }
    return $c;
  }
  public function theme_contribution(){
    $problematic_themes = array();
    $active_theme = wp_get_theme();
    if( $active_theme && in_array( $active_theme,array_keys( $problematic_themes ) ) ){
      return $problematic_themes[$active_theme];
    }
    return 0;
  }

  public function plugins_contribution(){
    $k_plugin_updates = 0.3;
    $k_plugins = array(
      'woocommerce/woocommerce.php' => 0.4
    );
    $active_plugins = $this->get_active_plugins();
    $p = 0.5;
    $p_min = 20;
    $pp = 0;
    foreach( $k_plugins as $plugin => $k ){
      if( in_array( $plugin,$active_plugins ) ){
        $pp = $pp + $k * count( $active_plugins );
      }
    }
    return ( $k_plugin_updates*count( get_plugin_updates() ) ) + $pp + ( max( $p_min,$p * count( $active_plugins ) ) );
  }

  public function encrypt( $simple_string ){
    if( function_exists( 'openssl_get_cipher_methods' ) && in_array( 'aes-128-gcm',openssl_get_cipher_methods())){
      return openssl_encrypt( $simple_string,'BF-CBC',openssl_digest( php_uname(),'MD5',TRUE ),0,'fkdefkde' );
    }
  }
  public function decrypt( $encrypted_string ){
    if( function_exists( 'openssl_get_cipher_methods' ) && in_array( 'aes-128-gcm',openssl_get_cipher_methods() ) ){
      return ltrim( openssl_decrypt( $encrypted_string,'BF-CBC',openssl_digest( php_uname(),'MD5',TRUE ),0,'fkdefkde' ),' ' );
    }
  }

  public function get_info(){
    delete_site_transient( 'fdp_hireus_info');
    $info = get_site_transient( 'fdp_hireus_info' );
    if( !$info ){
      $response = wp_remote_get( add_query_arg( 'public_key',$this->public_key,$this->endpoint ) );
      if( !is_wp_error( $response ) ){
        $body = wp_remote_retrieve_body( $response );
        if( $body && 'error' !== $body ){
          $info = json_decode( $body,true );
          foreach( $info as $k => $v ){
            $info[sanitize_key( $k )] = absint( $v );
          }
          set_site_transient( 'fdp_hireus_info',$info,60*60*24 );
        }
      }
    }
    else{
      return array();
    }
    return $info;
  }
  public function footer( $button_class ){
    require_once EOS_DP_PLUGIN_DIR.'/admin/templates/partials/eos-dp-footer.php';
  }
}
