<?php
defined( 'ABSPATH' ) || exit; // Exit if accessed directly

//Callback for the FDP reset page
function eos_dp_reset_settings_callback(){
  ?><style id="fdp-reset-settings-css">#fdp-opt-reset_confirmation{text-transform:uppercase !important}</style>
  <?php
  $args = array(
    'reset' => array( 'type' => 'checkbox','description' => __( 'I want to reset all the settings of FDP. I am aware that this choice is irreversible.','eos-dp' ) ),
    'reset_confirmation' => array( 'type' => 'text','style' => 'text-transform:uppercase','wrapper_id' => 'fdp-reset-confirmation-wrp','wrapper_class' => 'eos-hidden','description' => sprintf( __( 'Write %s to confirm that you want to reset the FDP settings.','eos-dp' ),'RESET' ) ),
    'reset_submit' => array( 'type' => 'submit','value' => __( 'Reset all the settings','eos-dp' ),'wrapper_id' => 'fdp-reset-submit-wrp','wrapper_class' => 'eos-hidden','class' => 'hover','description' => __( 'Click on the button if you are really sure.','eos-dp' ) )
  );
  $description = '<p>'.__( 'All the settings will be totally cleared. Do it only if you are totally sure, and after making a full backup.','eos-dp' ).'</p>';
  fdp_add_settings_page( 'eos_dp_reset',$args,'tools',__( 'Settings Reset','eos-dp' ),$description,false,false,false,false );
  ?>
  <div id="fdp-reset-submit-wrp" class="eos-hidden" style="position:relative;bottom:0"><button id="fdp-reset-settings-submit" class="button"><?php esc_html_e( 'Reset all the settings','eos-dp' ); ?></button></div>
  <script id="fdp-reset-settings">
  document.getElementById('fdp-opt-reset').addEventListener('click',function(){
    document.getElementById('fdp-reset-confirmation-wrp').className = '';
    var fdp_reset_interval = setInterval(function(){
      if('reset' === document.getElementById('fdp-opt-reset_confirmation').value.toLowerCase()){
        document.getElementById('fdp-reset-submit-wrp').className = '';
        document.getElementById('fdp-opt-reset_submit').addEventListener('click',function(){
          clearInterval(fdp_reset_interval);
          eos_dp_call_ajax({dataset:{nonce:'<?php echo wp_create_nonce( 'eos_dp_reset_fdp' ); ?>',data:document.getElementById('fdp-opt-reset_confirmation').value.toLowerCase(),action:'eos_dp_reset_fdp'}});
          window.location.href = '<?php echo add_query_arg( 'page','eos_dp_menu',admin_url( 'admin.php' ) ); ?>';
        });
      }
      else{
        document.getElementById('fdp-reset-submit-wrp').className = 'eos-hidden';
      }
    },500);
  });
  </script>
  <?php
  return;
}
