<?php
defined( 'ABSPATH' ) || exit; // Exit if accessed directly

//It displays the admin navigation
function eos_dp_navigation(){
	$plugins_table = eos_dp_plugins_table();
	$post_types = array_keys( $plugins_table );
	$show_on_front = eos_dp_get_option( 'show_on_front' );
	$upload_dir = wp_upload_dir();
	$fdp_main_nav = '';
	if( 'page' === $show_on_front ){
		$page = 'eos_dp_menu';
		$sec = 'by-posts';
	}
	elseif( 'posts' === $show_on_front ){
		$page = 'eos_dp_by_archive';
		$sec = 'archives';
	}
	$menu_file = EOS_DP_PLUGIN_DIR.'/admin/templates/partials/nav-menu-items/menu-item-';
	$plugins_integration = eos_dp_plugins_integration();
	$pro = defined( 'EOS_DP_PRO_VERSION' ) ? ', PRO v'.EOS_DP_PRO_VERSION : '';
	do_action( 'fdp_before_main_nav_menu_items' );
	$menu_items = apply_filters( 'fdp_main_nav_menu_items',array(
		'singles' => array(
			'title' => __( 'Singles','eos-dp' ),
			'section' => 'control-panel-section',
			'active_if' => array( 'eos_dp_menu' ),
			'subitems' => array( 'eos_dp_menu' ),
			'href' => admin_url( 'admin.php?page=eos_dp_menu' ),
			'file' => $menu_file.'singles.php'
		),
		'post-types' => array(
			'title' => __( 'Post Types','eos-dp' ),
			'section' => 'by-posts',
			'active_if' => array( 'eos_dp_by_post_type' ),
			'href' => admin_url( 'admin.php?page=eos_dp_by_post_type' )
		),
		'archives' => array(
			'title' => __( 'Archives','eos-dp' ),
			'section' => 'archives',
			'active_if' => array( 'eos_dp_by_archive','eos_dp_by_term_archive' ),
			'subitems' => array( 'eos_dp_by_term_archive' ),
			'href' => admin_url( 'admin.php?page=eos_dp_by_archive' ),
			'file' => $menu_file.'archives.php'
		),
		'device' => array(
			'title' => __( 'Device','eos-dp' ),
			'section' => 'device',
			'active_if' => array( 'eos_dp_mobile','eos_dp_desktop' ),
			'subitems' => array( 'eos_dp_mobile','eos_dp_desktop' ),
			'href' => admin_url( 'admin.php?page=eos_dp_mobile' ),
			'file' => $menu_file.'device.php'
		),
		'miscellaneus' => array(
			'title' =>  __( 'Miscellaneus','eos-dp' ),
			'section' => 'miscellaneus',
			'active_if' => array( 'eos_dp_search' ),
			'subitems' => array( 'eos_dp_search' ),
			'href' => admin_url( 'admin.php?page=eos_dp_search' ),
			'file' => $menu_file.'miscellaneus.php'
		),
		'url' => array(
			'title' =>  __( 'Custom URLs','eos-dp' ),
			'section' => 'url',
			'active_if' => array( 'eos_dp_url','eos_dp_admin_url','eos_dp_translation_urls' ),
			'subitems' => array( 'eos_dp_url','eos_dp_admin_url','eos_dp_translation_urls' ),
			'href' => admin_url( 'admin.php?page=eos_dp_url' ),
			'file' => $menu_file.'frontend-urls.php'
		),
		'backend' => array(
			'title' =>  __( 'Backend','eos-dp' ),
			'section' => 'admin',
			'active_if' => array( 'eos_dp_admin','eos_dp_admin_url','eos_dp_backend_everywhere' ),
			'subitems' => array( 'eos_dp_admin','eos_dp_admin_url','eos_dp_backend_everywhere' ),
			'href' => admin_url( 'admin.php?page=eos_dp_admin' ),
			'file' => $menu_file.'backend.php'
		),
		'integration' => array(
			'title' =>  __( 'Actions','eos-dp' ),
			'section' => 'integration',
			'active_if' => array( 'eos_dp_integration','eos_dp_ajax','eos_dp_by_post_requests' ),
			'subitems' => array( 'eos_dp_integration','eos_dp_ajax','eos_dp_by_post_requests' ),
			'href' => admin_url( 'admin.php?page=eos_dp_integration&int_plugin=wordpress-core' ),
			'file' => $menu_file.'integration.php'
		),
		'users' => array(
			'title' =>  __( 'Users','eos-dp' ),
			'section' => 'logged',
			'active_if' => array( 'eos_dp_logged' ),
			'subitems' => array( 'eos_dp_logged','eos_dp_unlogged' ),
			'href' => admin_url( 'admin.php?page=eos_dp_logged' ),
			'file' => $menu_file.'users.php',
			'pro_docu' => EOS_DP_DOCUMENTATION_URL.'/users/'
		),
	) );
	if( 'page' !== eos_dp_get_option( 'show_on_front' ) ){
		$menu_items['archives']['subitems'] = array( $page );
	}
	$user_meta = get_user_meta( get_current_user_id(),'fdp_admin_notices',true );
	?>
	<noscript>
		<div class="eos-dp-notice notice notice-error">
			<p><?php _e( 'Without JavaScript FDP cannot work. Please, activate JavaScript in your browser if you want to use FDP!', 'eos-dp' ); ?></p>
		</div>
	</noscript>
	<nav id="eos-dp-setts-nav-wrp" class="<?php echo defined( 'EOS_DP_PRO_VERSION' ) ? 'fdp-pro-nav-wrp' : 'fdp-free-nav-wrp'; ?>" style="width:100vw">
		<?php require_once EOS_DP_PLUGIN_DIR.'/admin/templates/partials/eos-dp-before-main-nav.php'; ?>
		<ul id="eos-dp-setts-nav" style="display:inline-block">
		<?php
		$arrFiles = glob( $upload_dir['basedir'].'/FDP/cache/fdp-nav-*.json' );
		if( $arrFiles && is_array( $arrFiles ) && !empty( $arrFiles ) ){
			foreach( $arrFiles as $file ){
				if( file_exists( $file ) ){
					$json = file_get_contents( $file );
					$cacheArr = json_decode( $json,true );
					$fdp_main_nav = $cacheArr['nav'];
					break;
				}
			}
		}
		if( '' === $fdp_main_nav || eos_dp_is_migrated() ){
			//Build the FDP navigation and then cache it if the cache was empty
			ob_start();
			foreach( $menu_items as $slug => $arr ){
				?>
				<li id="fdp-menu-<?php echo esc_attr( $slug ); ?>" data-section="eos-dp-<?php echo esc_attr( $arr['section'] ); ?>" class="hover<?php echo isset( $arr['active_if'] ) ? ' eos-dp-has-children' : '';echo '' === $pro && isset( $arr['pro_docu'] ) ? ' fdp-pro-feature' : '' ?> eos-dp-setts-menu-item">
					<a href="<?php echo '' === $pro && isset( $arr['pro_docu'] ) ? esc_url( $arr['pro_docu'] ) : esc_url( $arr['href'] ); ?>" data-suburls="<?php echo isset( $arr['active_if'] ) ? implode( ',',$arr['active_if'] ) : ''; ?>">
						<?php echo esc_html( $arr['title'] ); ?>
					</a>
					<?php
					if( isset( $arr['subitems'] ) ){ ?>
						<span class="dashicons dashicons-arrow-down"></span>
						<ul class="eos-dp-sub-menu">
						<?php
						if( isset( $arr['file'] ) ){
							$file = esc_attr( apply_filters( 'fdp_menu_item_file_'.sanitize_key( $slug ),$arr['file'] ) );
							if( file_exists( $file ) ){
								require_once $file;
							}
						}
						do_action( 'fdp_submenu_item_'.sanitize_key( $slug ) );
						?>
					</ul>
					<?php } ?>
				</li>
			<?php
			}
			$fdp_main_nav = ob_get_clean();
			eos_dp_update_fdp_cache( 'nav',wp_kses_post( $fdp_main_nav ) );
		}
			echo $fdp_main_nav;
			do_action( 'eos_dp_tabs' ); ?>
			<li></li>
		</ul>
		<div id="fdp-topbar-icons" style="float:<?php echo is_rtl() ? 'left' : 'right'; ?>;display:inline-block;z-index:9999999;position:relative">
			<span id="fdp-notifications-icon" class="dashicons dashicons-bell" style="position:relative;color:inherit;top:2px" title="<?php esc_html_e( 'Notifications' ); ?>"><span id="fdp-notifications-count"></span>
				<div id="fdp-notifications">
						<div id="fdp-notifications-list" style="position:absolute;width:300px;width:max-content;padding:0 10px;background:#fff;<?php echo is_rtl() ? 'left' : 'right'; ?>:-100%">
						<?php do_action( 'fdp_top_bar_notifications' );
						if( !$user_meta || !isset( $user_meta['rewrite_rules'] ) || 'dismissed' !== $user_meta['rewrite_rules'] ){
							$rewrite_notice = get_site_transient( 'fdp_admin_notice_rewrite_rules' );
							if( $rewrite_notice ){
								eos_dp_display_admin_notice( 'rewrite_rules',__( 'Issue with the rewrite rules.','eos-dp' ),wp_kses_post( wpautop( $rewrite_notice ) ),'warning',__( 'If you dismiss this notice and it still appears over again and again, it means the rewrite rules are being flushed again and again. This is not good for performance.','eos-dp' ) );
							}
						}
						if( isset( $GLOBALS['fdp_all_plugins'] ) && is_array( $GLOBALS['fdp_all_plugins'] ) ){
							foreach( $GLOBALS['fdp_all_plugins'] as $active_plugin ){
								if( !$user_meta || !isset( $user_meta['conflicts_'.sanitize_key( dirname( $active_plugin ) )] ) || 'dismissed' !== $user_meta['conflicts_'.sanitize_key( dirname( $active_plugin ) )] ){
									if( file_exists( EOS_DP_PLUGIN_DIR.'/inc/plugin-conflicts/'.dirname( $active_plugin ).'.php' ) ){
										require_once EOS_DP_PLUGIN_DIR.'/inc/plugin-conflicts/'.dirname( $active_plugin ).'.php';
										$plugin_name = strtoupper( str_replace( '-',' ',dirname( $active_plugin ) ) );
										$conflicts = sprintf( __( 'Another user had an issue with the plugin %s. Read this %ssupport thread%s for more details. It may help you to avoid the same issue on your website.','eos-dp' ),esc_attr( $plugin_name ),'<a title="'.__( 'Link to support thread','eos-dp' ).'" href="'.esc_url( $support_thread_url ).'" target="_blank" rel="noopener">','</a>' );
										eos_dp_display_admin_notice( 'conflicts_'.sanitize_key( dirname( $active_plugin ) ),sprintf( __( 'Potential conflict with %s.','eos-dp' ),$plugin_name ),wp_kses_post( wpautop( $conflicts ) ),'warning' );
									}
								}
							}
						}

					?>
					</div>
				</div>
			</span>
			<script>if('' === document.getElementById('fdp-notifications-count').innerText) document.getElementById('fdp-notifications-count').className = 'eos-hidden';</script>
			<a id="fdp-visit-site" class="dashicons dashicons-admin-home" style="margin-<?php echo is_rtl() ? 'right' : 'left'; ?>:10px;color:inherit" title="<?php esc_html_e( 'Visit Site' ); ?>" href="<?php echo get_home_url(); ?>" target="fdp_home_url"></a>
			<span id="fdp-toggle-top-bar" class="hover dashicons dashicons-arrow-down" style="font-size:35px;line-height:22px"></span>
		</div>
	</nav>
	<?php
	do_action( 'eos_dp_before_settings_nav' );
	if( in_array( $_GET['page'],apply_filters( 'fdp_plugin_filter_pages',array(
		'eos_dp_by_post_type',
		'eos_dp_menu',
		'eos_dp_by_archive',
		'eos_dp_by_term_archive',
		'eos_dp_url',
		'eos_dp_admin',
		'eos_dp_admin_url',
		'eos_dp_by_post_requests',
		'eos_dp_rest_api',
		'eos_dp_integration',
		'eos_dp_ajax',
		'eos_dp_logged'
	) ) ) ){
		$globally_active = eos_dp_active_plugins();
		$active_plugins = absint( count( eos_dp_active_plugins() ) );
		if( !in_array( $_GET['page'],array( 'eos_dp_integration' ) ) ){
			++$active_plugins;
		}
		if( $active_plugins > 20 ){
			$g = $active_plugins > 30 ? 20 : 10;
			$k = ceil( $active_plugins/$g );
			$l = 0;
			?>
			<div style="clear:both"></div>
			<div id="fdp-plugins-filters" style="display:inline-block">
				<span id="fdp-plug-filter-all" class="fdp-plug-filter button eos-active" data-min="all">
					<span class="dashicons dashicons-admin-plugins" style="padding:4px 0"></span>
					<?php esc_html_e( 'All','eos-dp' ); ?>
					<ul class="fdp-plugins-filter-list">
						<li><?php esc_html_e( 'No filter.','eos-dp' ); ?></li>
					</ul>
				</span>
				<?php for( $n = 1;$n < $k + 1;++$n ){ ?>
				<span class="fdp-plug-filter button" data-min="<?php echo max( 1,( $l * $g ) ); ?>" data-max="<?php echo min( $active_plugins,( (  $n * $g ) - 1 ) ); ?>">
					<span class="dashicons dashicons-admin-plugins"  style="padding:4px 0"></span><?php printf( '%s - %s',max( 1,( $l * $g ) ),min( $active_plugins - 1,( ( $n * $g ) - 1 ) ) ); ?>
					<ul class="fdp-plugins-filter-list">
						<li><?php esc_html_e( 'Filter the following plugins:','eos-dp' ); ?></li>
						<li><br /></li>
					<?php
					for( $lin = max( 1,( $l * $g ) );$lin <= min( $active_plugins,( ( $n * $g ) - 1 ) );++$lin ){
						if( isset( $globally_active[$lin - 1] ) && '' !== $globally_active[$lin - 1] && ( !isset( $_GET['int_plugin'] ) || sanitize_text_field( $_GET['int_plugin'] ) !== dirname( $globally_active[$lin - 1] ) ) ){
						?>
						<li><?php echo sprintf( '%s - %s',$lin,esc_html( strtoupper( str_replace( '-',' ',dirname( $globally_active[$lin - 1] ) ) ) ) ); ?></li>
					<?php
						}
					}
					?>
					</ul>
				</span>
				<?php $l = $n; }
				if( in_array( $_GET['page'],apply_filters( 'fdp_theme_filter_pages',array(
					'eos_dp_admin',
					'eos_dp_by_post_requests',
					'eos_dp_rest_api',
					'eos_dp_integration',
					'eos_dp_ajax',
				) ) ) ){
				$tn = 1 + $active_plugins;
				?>
				<span class="fdp-plug-filter button" data-min="<?php echo $active_plugins; ?>" data-max="<?php echo $active_plugins; ?>">
					<span class="dashicons dashicons-admin-appearance"  style="padding:4px 0"></span>
					<ul class="fdp-plugins-filter-list">
						<li><?php esc_html_e( 'Filter the theme.','eos-dp' ); ?></li>
					</ul>
				</span>
				<?php
				}
				?>
				<p style="margin:0"><small><?php _e( 'Plugin filters','eos-dp' ); ?></small></p>
			</div>
		<?php
		}
	}
	do_action( 'eos_dp_after_settings_nav' );
	?><div id="fdp-after-navigation"></div>
	<script id="fdp-nav-js">
	function eos_dp_update_nav(){
		var as=document.querySelectorAll('#eos-dp-setts-nav a,#eos-dp-before-nav a'),n=0;
		for(n;n<as.length;++n){
			as[n].parentNode.className = as[n].parentNode.className.replace(' eos-active','');
			if(as[n].href === location.href.split('&')[0] || as[n].href === location.href){
				as[n].parentNode.className += ' eos-active';
				if('undefined' !== typeof(as[n].parentNode.parentNode) && 'undefined' !== typeof(as[n].parentNode.parentNode.parentNode)){
					as[n].parentNode.parentNode.parentNode.className += ' eos-active';
				}
			}
		}
	}
	eos_dp_update_nav();
	</script>
	<?php
}
